package cn.com.qmth.examcloud.core.reports.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.core.reports.base.bean.ExamDataBean;
import cn.com.qmth.examcloud.core.reports.service.ExamDataService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@RestController
@Api(tags = "考试数据")
@RequestMapping("${$rmp.ctr.reports}/" + "examData")
public class ExamDataController extends ControllerSupport {

    @Autowired
    private ExamDataService examDataService;

    @GetMapping("page/{pageNo}/{pageSize}")
    @ApiOperation(value = "分页查询考试在线人数及完成情况")
    public PageInfo<ExamDataBean> queryPage(@RequestParam Long rootOrgId,
            @RequestParam(required = false) String examName,
            @PathVariable @ApiParam(value = "pageNo = 1,2,3...") Integer pageNo, @PathVariable Integer pageSize) {
        return examDataService.queryPage(rootOrgId, examName, pageNo, pageSize);
    }
}