package cn.com.qmth.examcloud.core.reports.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.reports.base.bean.QueryStudentOperateReq;
import cn.com.qmth.examcloud.core.reports.base.bean.StudentOperateBean;
import cn.com.qmth.examcloud.core.reports.service.OperateService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@RestController
@Api(tags = "学生操作日志")
@RequestMapping("${$rmp.ctr.reports}/" + "studentOperate")
public class StudentOperateController extends ControllerSupport {
	@Autowired
	private OperateService operateService;

	@GetMapping("page/{pageNo}/{pageSize}")
	@ApiOperation(value = "项目列表分页查询")
	public PageInfo<StudentOperateBean> queryPage(@ModelAttribute QueryStudentOperateReq req,
			@PathVariable @ApiParam(value = "pageNo = 1,2,3...") Integer pageNo, @PathVariable Integer pageSize) {
		User user = getAccessUser();
		if(isSuperAdmin()) {
			return operateService.queryPage(req, pageNo, pageSize, null);
		}else {
			return operateService.queryPage(req, pageNo, pageSize, user.getRootOrgId());
		}
	}
	
}