package cn.com.qmth.examcloud.core.reports.base.bean;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class ExamCourseReportMainBean implements JsonSerializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3443224190555618785L;
	@ApiModelProperty(value = "项目id")
	private Long projectId;
	@ApiModelProperty(value = "rootOrgId")
	private Long rootOrgId;
	@ApiModelProperty(value = "examId")
	private Long examId;
	@ApiModelProperty(value = "考试名称")
	private String examName;
	@ApiModelProperty(value = "考试code")
	private String examCode;
	@ApiModelProperty(value = "课程id")
	private Long courseId;
	@ApiModelProperty(value = "课程名称")
	private String courseName;
	@ApiModelProperty(value = "课程code")
	private String courseCode;
	@ApiModelProperty(value = "满分")
	private Double totalScore;
	@ApiModelProperty(value = "最高分")
	private Double maxScore;
	@ApiModelProperty(value = "最低分")
	private Double minScore;
	@ApiModelProperty(value = "平均分")
	private Double avgScore;
	@ApiModelProperty(value = "标准差")
	private Double std;
	@ApiModelProperty(value = "平均调卷难度")
    private Double avgDifficultyDegree;
	@ApiModelProperty(value = "差异系数")
    private Double cdi;
	@ApiModelProperty(value = "报名人数")
	private Long signCount;
	@ApiModelProperty(value = "考试人数")
    private Long participantCount;
	@ApiModelProperty(value = "考试人数/报名人数比率（%）")
	private Double participantRatio;
	@ApiModelProperty(value = "缺考人数")
	private Long missCount;
	@ApiModelProperty(value = "缺考率（%）")
	private Double missRatio;
	@ApiModelProperty(value = "满分人数")
    private Long fullCount;
	@ApiModelProperty(value = "零分人数")
    private Long zeroCount;
	@ApiModelProperty(value = "及格人数")
    private Long passCount;
	@ApiModelProperty(value = "及格报名人数占比（%）")
	private Double passSignRatio;
	@ApiModelProperty(value = "及格实考人数占比（%）")
	private Double passParticipantRatio;
	@ApiModelProperty(value = "分段人数数据")
	private List<PartitionDataBean> partitionData;
	public Long getProjectId() {
		return projectId;
	}
	public void setProjectId(Long projectId) {
		this.projectId = projectId;
	}
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public String getExamCode() {
		return examCode;
	}
	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}
	public Long getSignCount() {
		return signCount;
	}
	public void setSignCount(Long signCount) {
		this.signCount = signCount;
	}
	public Long getParticipantCount() {
		return participantCount;
	}
	public void setParticipantCount(Long participantCount) {
		this.participantCount = participantCount;
	}
	public Long getMissCount() {
		return missCount;
	}
	public void setMissCount(Long missCount) {
		this.missCount = missCount;
	}
	public Double getMissRatio() {
		return missRatio;
	}
	public void setMissRatio(Double missRatio) {
		this.missRatio = missRatio;
	}
	public Long getPassCount() {
		return passCount;
	}
	public void setPassCount(Long passCount) {
		this.passCount = passCount;
	}
	public Double getPassSignRatio() {
		return passSignRatio;
	}
	public void setPassSignRatio(Double passSignRatio) {
		this.passSignRatio = passSignRatio;
	}
	public List<PartitionDataBean> getPartitionData() {
		return partitionData;
	}
	public void setPartitionData(List<PartitionDataBean> partitionData) {
		this.partitionData = partitionData;
	}
	public Double getPassParticipantRatio() {
		return passParticipantRatio;
	}
	public void setPassParticipantRatio(Double passParticipantRatio) {
		this.passParticipantRatio = passParticipantRatio;
	}
	public Double getParticipantRatio() {
		return participantRatio;
	}
	public void setParticipantRatio(Double participantRatio) {
		this.participantRatio = participantRatio;
	}
	public Long getCourseId() {
		return courseId;
	}
	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public Double getTotalScore() {
		return totalScore;
	}
	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}
	public Double getMaxScore() {
		return maxScore;
	}
	public void setMaxScore(Double maxScore) {
		this.maxScore = maxScore;
	}
	public Double getMinScore() {
		return minScore;
	}
	public void setMinScore(Double minScore) {
		this.minScore = minScore;
	}
	public Double getAvgScore() {
		return avgScore;
	}
	public void setAvgScore(Double avgScore) {
		this.avgScore = avgScore;
	}
	public Double getStd() {
		return std;
	}
	public void setStd(Double std) {
		this.std = std;
	}
	public Double getAvgDifficultyDegree() {
		return avgDifficultyDegree;
	}
	public void setAvgDifficultyDegree(Double avgDifficultyDegree) {
		this.avgDifficultyDegree = avgDifficultyDegree;
	}
	public Double getCdi() {
		return cdi;
	}
	public void setCdi(Double cdi) {
		this.cdi = cdi;
	}
	public Long getFullCount() {
		return fullCount;
	}
	public void setFullCount(Long fullCount) {
		this.fullCount = fullCount;
	}
	public Long getZeroCount() {
		return zeroCount;
	}
	public void setZeroCount(Long zeroCount) {
		this.zeroCount = zeroCount;
	}

	
}
