package cn.com.qmth.examcloud.core.reports.base.bean;

import java.util.List;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.reports.base.enums.AnalyseType;
import cn.com.qmth.examcloud.core.reports.base.enums.DataOrigin;
import cn.com.qmth.examcloud.core.reports.base.enums.ReportStatus;
import io.swagger.annotations.ApiModelProperty;

public class ProjectBean implements JsonSerializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = -5807098559991360206L;
	
	@ApiModelProperty(value = "项目id")
	private Long id;
	@ApiModelProperty(value = "rootOrgId")
	private Long rootOrgId;
	@ApiModelProperty(value = "及格线")
	private Double passScore;
	@ApiModelProperty(value = "满分分数")
	private Double totalScore;
	@ApiModelProperty(value = "分数段分段详情")
	private List<Double> partitionDetails;
	@ApiModelProperty(value = "分段数量")
	private Integer partitionCount;
    @ApiModelProperty(value = "项目名称")
	private String name;
    @ApiModelProperty(value = "分析类型")
	@Enumerated(EnumType.STRING)
	private AnalyseType analyseType;
    @ApiModelProperty(value = "分析类型名称")
	private String analyseTypeName;
    @ApiModelProperty(value = "报表状态")
	@Enumerated(EnumType.STRING)
	private ReportStatus reportStatus;
    @ApiModelProperty(value = "报表状态名称")
	private String reportStatusName;
    @ApiModelProperty(value = "数据来源")
	@Enumerated(EnumType.STRING)
	private DataOrigin dataOrigin;
    @ApiModelProperty(value = "数据来源名称")
	private String dataOriginName;
    @ApiModelProperty(value = "样本数量")
	private Integer sampleCount;
    @ApiModelProperty(value = "课程数量")
	private Integer courseCount;
    @ApiModelProperty(value = "中心数量")
	private Integer orgCount;
    @ApiModelProperty(value = "所选考试id")
	private List<Long> examIds;
    @ApiModelProperty(value = "备注")
	private String remarks;
    @ApiModelProperty(value = "启用禁用")
	private Boolean enable;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public Double getPassScore() {
		return passScore;
	}
	public void setPassScore(Double passScore) {
		this.passScore = passScore;
	}
	public Double getTotalScore() {
		return totalScore;
	}
	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}
	public List<Double> getPartitionDetails() {
		return partitionDetails;
	}
	public void setPartitionDetails(List<Double> partitionDetails) {
		this.partitionDetails = partitionDetails;
	}
	public Integer getPartitionCount() {
		return partitionCount;
	}
	public void setPartitionCount(Integer partitionCount) {
		this.partitionCount = partitionCount;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public AnalyseType getAnalyseType() {
		return analyseType;
	}
	public void setAnalyseType(AnalyseType analyseType) {
		this.analyseType = analyseType;
	}
	public ReportStatus getReportStatus() {
		return reportStatus;
	}
	public void setReportStatus(ReportStatus reportStatus) {
		this.reportStatus = reportStatus;
	}
	public DataOrigin getDataOrigin() {
		return dataOrigin;
	}
	public void setDataOrigin(DataOrigin dataOrigin) {
		this.dataOrigin = dataOrigin;
	}
	public Integer getSampleCount() {
		return sampleCount;
	}
	public void setSampleCount(Integer sampleCount) {
		this.sampleCount = sampleCount;
	}
	public Integer getCourseCount() {
		return courseCount;
	}
	public void setCourseCount(Integer courseCount) {
		this.courseCount = courseCount;
	}
	public Integer getOrgCount() {
		return orgCount;
	}
	public void setOrgCount(Integer orgCount) {
		this.orgCount = orgCount;
	}
	public List<Long> getExamIds() {
		return examIds;
	}
	public void setExamIds(List<Long> examIds) {
		this.examIds = examIds;
	}
	public String getRemarks() {
		return remarks;
	}
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	public Boolean getEnable() {
		return enable;
	}
	public void setEnable(Boolean enable) {
		this.enable = enable;
	}
	public String getAnalyseTypeName() {
		return analyseTypeName;
	}
	public void setAnalyseTypeName(String analyseTypeName) {
		this.analyseTypeName = analyseTypeName;
	}
	public String getReportStatusName() {
		return reportStatusName;
	}
	public void setReportStatusName(String reportStatusName) {
		this.reportStatusName = reportStatusName;
	}
	public String getDataOriginName() {
		return dataOriginName;
	}
	public void setDataOriginName(String dataOriginName) {
		this.dataOriginName = dataOriginName;
	}

	
	
}
